# Class: MSPointer

## Phaser. MSPointer

The MSPointer class handles touch interactions with the game and the resulting Pointer objects. It will work only in Internet Explorer 10 and Windows Store or Windows Phone 8 apps using JavaScript. http://msdn.microsoft.com/en-us/library/ie/hh673557(v=vs.85).aspx

#### new MSPointer(game)

  Phaser - MSPointer constructor.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `game` | Phaser.Game | A reference to the currently running game.

  Source:
    - input/MSPointer.js, line 17

### Members

#### callbackContext

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `callbackContext` | Object | The context under which callbacks are called (defaults to game).

  Source:
    - input/MSPointer.js, line 27

#### disabled

  You can disable all Input by setting disabled = true. While set all new input related events will be ignored.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `disabled` | boolean |

  Source:
    - input/MSPointer.js, line 33

#### game

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `game` | Phaser.Game | A reference to the currently running game.

  Source:
    - input/MSPointer.js, line 22

### Methods

#### onPointerDown(event)

  The function that handles the PointerDown event.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `event` | PointerEvent |

  Source:
    - input/MSPointer.js, line 101

#### onPointerMove(event)

  The function that handles the PointerMove event.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `event` | PointerEvent |

  Source:
    - input/MSPointer.js, line 120

#### onPointerUp(event)

  The function that handles the PointerUp event.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `event` | PointerEvent |

  Source:
    - input/MSPointer.js, line 139

#### start()

  Starts the event listeners running.

  Source:
    - input/MSPointer.js, line 57

#### stop()

  Stop the event listeners.

  Source:
    - input/MSPointer.js, line 158